Kerbal Space Program - Bug #3888

crash on startup, no graphics shown
12/22/2014 02:01 PM - DFPercush

Status: Closed Start date: 12/22/2014
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 0.90 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Access violation reading from address 00000054 in 32-bit version and 00000080 in 64-bit version. Game generates a crash report
before the graphics are initialized, showing a blank white window (the window is the size of the desktop, but has not gone fullscreen).
This happens every time | start the game. This is a clean install via Steam, previous directory moved/deleted. Therefore there is no
settings.cfg file present, nor has one been generated. No mods have been installed. Tried moving previous settings.cfg into folder,
same result. Both KSP.exe and KSP_x64.exe exhibit the same behavior. My copy of KSP 0.25 still works. Attachment includes
DxDiag.txt, output.log, buildID.txt, and several crash dumps from 32 and 64 bit versions.

History

#1 - 12/29/2014 02:20 AM - DFPercush

- Status changed from New to Need More Info

You can close this one out. It seems to be an issue with Steam downloading corrupt files. | ran an integrity check of local game cache and
re-downloaded, and now it works. Sorry if this wasted anyone's time. | thought | had already tried that, but | wonder why it was corrupt in the first
place? In any case, | don't think it's any issue with KSP itself.

#2 - 01/05/2015 03:28 AM - Dat_Pwen
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

DFPercush wrote:
You can close this one out. It seems to be an issue with Steam downloading corrupt files. | ran an integrity check of local game cache and

re-downloaded, and now it works. Sorry if this wasted anyone's time. | thought | had already tried that, but | wonder why it was corrupt in the first
place? In any case, | don't think it's any issue with KSP itself.

No It's not KSP It's Steam but could be KSP's Developer's that have accidentally uploaded a corrupt vertion of KSP to Steam but anyways | hope this
does'nt happen to anybody else.

#3 - 01/05/2015 10:05 AM - Squelch

- Status changed from Confirmed to Closed
- Severity changed from High to Low

- % Done changed from 10 to 100

There may well have been a mismatch of the updated files, so it's always worth running an integrity check before and after a download.

Closed on request.
